using System.ComponentModel;
using Hotline.Exams.Base;
using SqlSugar;

namespace Hotline.Exams.Trains
{
    /// <summary>
    /// 培训记录
    /// </summary>
    [Description("培训记录")]
    public class ExamTrainRecord:ExamBusinessEntity
    {
        /// <summary>
        /// 培训计划Id
        /// </summary>
        [SugarColumn(ColumnDescription ="培训计划Id")]
        [Description("培训计划Id")]
        public string TrainPlanId { get; set; }

        /// <summary>
        /// 用户Id
        /// </summary>
        [SugarColumn(ColumnDescription ="用户Id")]
        [Description("用户Id")]
        public string UserId { get; set; }

        /// <summary>
        /// 是否完成培训
        /// </summary>
        [SugarColumn(ColumnDescription = "是否完成培训")]
        [Description("是否完成培训")]
        public bool IsComplete { get; set; }
    }
}
